Package org.eclipse.m2m.atl.profiler.model

## Interface ProfilingInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `ProfilingModel`, `ProfilingOperation`

All Known Implementing Classes:
  `ProfilingInstructionImpl`, `ProfilingModelImpl`, `ProfilingOperationImpl`

    public interface ProfilingInstruction
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Profiling Instruction'.

The following features are supported:

- `Launched Time`
- `Stack Frames`
- `Parent Operation`
- `Instruction ID`
- `Atl Instruction`
- `Content`
- `Launched Memory Usage`
- `Has Error`

See Also:
  `ModelPackage.getProfilingInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`ATLInstruction` `getAtlInstruction()` Returns the value of the 'Atl Instruction' reference.
`java.lang.String` `getContent()` Returns the value of the 'Content' attribute.
`int` `getInstructionID()` Returns the value of the 'Instruction ID' attribute.
`long` `getLaunchedMemoryUsage()` Returns the value of the 'Launched Memory Usage' attribute.
`long` `getLaunchedTime()` Returns the value of the 'Launched Time' attribute.
`ProfilingOperation` `getParentOperation()` Returns the value of the 'Parent Operation' reference.
`org.eclipse.emf.common.util.EList<java.lang.Object>` `getStackFrames()` Returns the value of the 'Stack Frames' attribute list.
`boolean` `isHasError()` Returns the value of the 'Has Error' attribute.
`void` `setAtlInstruction​(ATLInstruction value)` Sets the value of the '`Atl Instruction`' reference.
`void` `setContent​(java.lang.String value)` Sets the value of the '`Content`' attribute.
`void` `setHasError​(boolean value)` Sets the value of the '`Has Error`' attribute.
`void` `setInstructionID​(int value)` Sets the value of the '`Instruction ID`' attribute.
`void` `setLaunchedMemoryUsage​(long value)` Sets the value of the '`Launched Memory Usage`' attribute.
`void` `setLaunchedTime​(long value)` Sets the value of the '`Launched Time`' attribute.
`void` `setParentOperation​(ProfilingOperation value)` Sets the value of the '`Parent Operation`' reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getLaunchedTime

    long getLaunchedTime()

Returns the value of the 'Launched Time' attribute.

If the meaning of the 'Launched Time' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Launched Time' attribute.
See Also:
  `setLaunchedTime(long)`, `ModelPackage.getProfilingInstruction_LaunchedTime()`

#### setLaunchedTime

    void setLaunchedTime​(long value)

Sets the value of the '`Launched Time`' attribute.

Parameters:
  `value` - the new value of the 'Launched Time' attribute.
See Also:
  `getLaunchedTime()`

#### getStackFrames

    org.eclipse.emf.common.util.EList<java.lang.Object> getStackFrames()

Returns the value of the 'Stack Frames' attribute list. The list contents are of type `Object`.

If the meaning of the 'Stack Frames' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Stack Frames' attribute list.
See Also:
  `ModelPackage.getProfilingInstruction_StackFrames()`

#### getParentOperation

    ProfilingOperation getParentOperation()

Returns the value of the 'Parent Operation' reference.

If the meaning of the 'Parent Operation' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent Operation' reference.
See Also:
  `setParentOperation(ProfilingOperation)`, `ModelPackage.getProfilingInstruction_ParentOperation()`

#### setParentOperation

    void setParentOperation​(ProfilingOperation value)

Sets the value of the '`Parent Operation`' reference.

Parameters:
  `value` - the new value of the 'Parent Operation' reference.
See Also:
  `getParentOperation()`

#### getInstructionID

    int getInstructionID()

Returns the value of the 'Instruction ID' attribute.

If the meaning of the 'Instruction ID' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Instruction ID' attribute.
See Also:
  `setInstructionID(int)`, `ModelPackage.getProfilingInstruction_InstructionID()`

#### setInstructionID

    void setInstructionID​(int value)

Sets the value of the '`Instruction ID`' attribute.

Parameters:
  `value` - the new value of the 'Instruction ID' attribute.
See Also:
  `getInstructionID()`

#### getAtlInstruction

    ATLInstruction getAtlInstruction()

Returns the value of the 'Atl Instruction' reference.

If the meaning of the 'Atl Instruction' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Atl Instruction' reference.
See Also:
  `setAtlInstruction(ATLInstruction)`, `ModelPackage.getProfilingInstruction_AtlInstruction()`

#### setAtlInstruction

    void setAtlInstruction​(ATLInstruction value)

Sets the value of the '`Atl Instruction`' reference.

Parameters:
  `value` - the new value of the 'Atl Instruction' reference.
See Also:
  `getAtlInstruction()`

#### getContent

    java.lang.String getContent()

Returns the value of the 'Content' attribute.

If the meaning of the 'Content' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Content' attribute.
See Also:
  `setContent(String)`, `ModelPackage.getProfilingInstruction_Content()`

#### setContent

    void setContent​(java.lang.String value)

Sets the value of the '`Content`' attribute.

Parameters:
  `value` - the new value of the 'Content' attribute.
See Also:
  `getContent()`

#### getLaunchedMemoryUsage

    long getLaunchedMemoryUsage()

Returns the value of the 'Launched Memory Usage' attribute.

If the meaning of the 'Launched Memory Usage' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Launched Memory Usage' attribute.
See Also:
  `setLaunchedMemoryUsage(long)`, `ModelPackage.getProfilingInstruction_LaunchedMemoryUsage()`

#### setLaunchedMemoryUsage

    void setLaunchedMemoryUsage​(long value)

Sets the value of the '`Launched Memory Usage`' attribute.

Parameters:
  `value` - the new value of the 'Launched Memory Usage' attribute.
See Also:
  `getLaunchedMemoryUsage()`

#### isHasError

    boolean isHasError()

Returns the value of the 'Has Error' attribute.

If the meaning of the 'Has Error' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Has Error' attribute.
See Also:
  `setHasError(boolean)`, `ModelPackage.getProfilingInstruction_HasError()`

#### setHasError

    void setHasError​(boolean value)

Sets the value of the '`Has Error`' attribute.

Parameters:
  `value` - the new value of the 'Has Error' attribute.
See Also:
  `isHasError()`